package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssAws;

/**
 * 亚马逊对象存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 21:48:16
 */
public interface SchisandraOssAwsService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssAws queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssAws 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssAws schisandraOssAws);

    /**
     * 修改数据
     *
     * @param schisandraOssAws 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssAws schisandraOssAws);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
